Statistics
| Branch: | Tag: | Revision:

root / Makefile.am @ f727d134

History | View | Annotate | Download (11.5 kB)

1 e8230860 Michael Hanselmann
# Ganeti makefile
2 e8230860 Michael Hanselmann
# - Indent with tabs only.
3 e8230860 Michael Hanselmann
# - Keep files sorted; one line per file.
4 e8230860 Michael Hanselmann
# - Directories in lib/ must have their own *dir variable (see hypervisor).
5 e8230860 Michael Hanselmann
# - All directories must be listed DIRS.
6 0a7bed64 Michael Hanselmann
# - Use autogen.sh to generate Makefile.in and configure script.
7 e8230860 Michael Hanselmann
8 e8230860 Michael Hanselmann
# Automake doesn't export these variables before version 1.10.
9 e8230860 Michael Hanselmann
abs_top_builddir = @abs_top_builddir@
10 e8230860 Michael Hanselmann
abs_top_srcdir = @abs_top_srcdir@
11 e8230860 Michael Hanselmann
12 6e06b36c Iustin Pop
ACLOCAL_AMFLAGS = -I autotools
13 e8230860 Michael Hanselmann
DOCBOOK_WRAPPER = $(top_srcdir)/autotools/docbook-wrapper
14 4f3d5b76 Michael Hanselmann
BUILD_BASH_COMPLETION = $(top_srcdir)/autotools/build-bash-completion
15 b959138f Michael Hanselmann
RUN_IN_TEMPDIR = $(top_srcdir)/autotools/run-in-tempdir
16 eed5c5df Michael Hanselmann
CHECK_PYTHON_CODE = $(top_srcdir)/autotools/check-python-code
17 e8230860 Michael Hanselmann
REPLACE_VARS_SED = autotools/replace_vars.sed
18 e8230860 Michael Hanselmann
19 e8230860 Michael Hanselmann
hypervisordir = $(pkgpythondir)/hypervisor
20 ff9efc03 Michael Hanselmann
httpdir = $(pkgpythondir)/http
21 12426ae1 Guido Trotter
confddir = $(pkgpythondir)/confd
22 8c229cc7 Oleksiy Mishchenko
rapidir = $(pkgpythondir)/rapi
23 e8230860 Michael Hanselmann
toolsdir = $(pkglibdir)/tools
24 e8230860 Michael Hanselmann
docdir = $(datadir)/doc/$(PACKAGE)
25 e8230860 Michael Hanselmann
26 e8230860 Michael Hanselmann
DIRS = \
27 e8230860 Michael Hanselmann
	autotools \
28 e8230860 Michael Hanselmann
	daemons \
29 e8230860 Michael Hanselmann
	devel \
30 e8230860 Michael Hanselmann
	doc \
31 e8230860 Michael Hanselmann
	doc/examples \
32 d6d9ce45 Guido Trotter
	doc/examples/hooks \
33 e8230860 Michael Hanselmann
	lib \
34 f9897b6d Michael Hanselmann
	lib/build \
35 ff9efc03 Michael Hanselmann
	lib/http \
36 e8230860 Michael Hanselmann
	lib/hypervisor \
37 8c229cc7 Oleksiy Mishchenko
	lib/rapi \
38 12426ae1 Guido Trotter
	lib/confd \
39 e8230860 Michael Hanselmann
	man \
40 e8230860 Michael Hanselmann
	qa \
41 e8230860 Michael Hanselmann
	scripts \
42 e8230860 Michael Hanselmann
	test \
43 e8230860 Michael Hanselmann
	test/data \
44 e8230860 Michael Hanselmann
	tools
45 e8230860 Michael Hanselmann
46 2ab2b9f5 Iustin Pop
MAINTAINERCLEANFILES = \
47 d17e74b4 Iustin Pop
	$(docpng) \
48 2ab2b9f5 Iustin Pop
	$(maninput)
49 2ab2b9f5 Iustin Pop
50 d17e74b4 Iustin Pop
maintainer-clean-local:
51 13de7d59 Michael Hanselmann
	rm -rf doc/api doc/html
52 d17e74b4 Iustin Pop
53 e8230860 Michael Hanselmann
CLEANFILES = \
54 e8230860 Michael Hanselmann
	autotools/replace_vars.sed \
55 fc3fd894 Michael Hanselmann
	daemons/ganeti-cleaner \
56 e8230860 Michael Hanselmann
	devel/upload \
57 f72f8622 Iustin Pop
	doc/examples/bash_completion \
58 e8230860 Michael Hanselmann
	doc/examples/ganeti.initd \
59 e8230860 Michael Hanselmann
	doc/examples/ganeti.cron \
60 a2442bf9 Luca Bigliardi
	doc/examples/hooks/ipsec \
61 e8230860 Michael Hanselmann
	lib/*.py[co] \
62 f9897b6d Michael Hanselmann
	lib/build/*.py[co] \
63 ff9efc03 Michael Hanselmann
	lib/http/*.py[co] \
64 e8230860 Michael Hanselmann
	lib/hypervisor/*.py[co] \
65 8c229cc7 Oleksiy Mishchenko
	lib/rapi/*.py[co] \
66 2ab2b9f5 Iustin Pop
	$(man_MANS) \
67 2ab2b9f5 Iustin Pop
	$(manhtml) \
68 e8230860 Michael Hanselmann
	qa/*.py[co] \
69 e8230860 Michael Hanselmann
	test/*.py[co] \
70 e8230860 Michael Hanselmann
	stamp-directories \
71 dd1dfd9a Michael Hanselmann
	stamp-srclinks \
72 e8230860 Michael Hanselmann
	$(nodist_pkgpython_PYTHON)
73 e8230860 Michael Hanselmann
74 dc7d2c49 Michael Hanselmann
BUILT_SOURCES = \
75 dc7d2c49 Michael Hanselmann
	ganeti \
76 dd1dfd9a Michael Hanselmann
	stamp-srclinks \
77 dbefcc7e Michael Hanselmann
	stamp-directories \
78 dc7d2c49 Michael Hanselmann
	lib/_autoconf.py
79 dc7d2c49 Michael Hanselmann
80 e8230860 Michael Hanselmann
nodist_pkgpython_PYTHON = \
81 e8230860 Michael Hanselmann
	lib/_autoconf.py
82 e8230860 Michael Hanselmann
83 f9897b6d Michael Hanselmann
noinst_PYTHON = \
84 f9897b6d Michael Hanselmann
	lib/build/__init__.py
85 f9897b6d Michael Hanselmann
86 e8230860 Michael Hanselmann
pkgpython_PYTHON = \
87 e8230860 Michael Hanselmann
	lib/__init__.py \
88 a8a76bc2 Guido Trotter
	lib/asyncnotifier.py \
89 e8230860 Michael Hanselmann
	lib/backend.py \
90 e8230860 Michael Hanselmann
	lib/bdev.py \
91 e8230860 Michael Hanselmann
	lib/bootstrap.py \
92 e8230860 Michael Hanselmann
	lib/cli.py \
93 e8230860 Michael Hanselmann
	lib/cmdlib.py \
94 e8230860 Michael Hanselmann
	lib/config.py \
95 e8230860 Michael Hanselmann
	lib/constants.py \
96 821d9e43 Michael Hanselmann
	lib/daemon.py \
97 e8230860 Michael Hanselmann
	lib/errors.py \
98 e8230860 Michael Hanselmann
	lib/jqueue.py \
99 8b537bb0 Michael Hanselmann
	lib/jstore.py \
100 e8230860 Michael Hanselmann
	lib/locking.py \
101 e8230860 Michael Hanselmann
	lib/luxi.py \
102 e8230860 Michael Hanselmann
	lib/mcpu.py \
103 e8230860 Michael Hanselmann
	lib/objects.py \
104 e8230860 Michael Hanselmann
	lib/opcodes.py \
105 e8230860 Michael Hanselmann
	lib/rpc.py \
106 e8230860 Michael Hanselmann
	lib/serializer.py \
107 e8230860 Michael Hanselmann
	lib/ssconf.py \
108 e8230860 Michael Hanselmann
	lib/ssh.py \
109 ac2d0fe4 Michael Hanselmann
	lib/storage.py \
110 76094e37 Michael Hanselmann
	lib/utils.py \
111 76094e37 Michael Hanselmann
	lib/workerpool.py
112 e8230860 Michael Hanselmann
113 e8230860 Michael Hanselmann
hypervisor_PYTHON = \
114 e8230860 Michael Hanselmann
	lib/hypervisor/__init__.py \
115 e8230860 Michael Hanselmann
	lib/hypervisor/hv_base.py \
116 48297fa2 Iustin Pop
	lib/hypervisor/hv_chroot.py \
117 e8230860 Michael Hanselmann
	lib/hypervisor/hv_fake.py \
118 eb58f9b1 Guido Trotter
	lib/hypervisor/hv_kvm.py \
119 e8230860 Michael Hanselmann
	lib/hypervisor/hv_xen.py
120 e8230860 Michael Hanselmann
121 8c229cc7 Oleksiy Mishchenko
rapi_PYTHON = \
122 8c229cc7 Oleksiy Mishchenko
	lib/rapi/__init__.py \
123 10b207d4 Oleksiy Mishchenko
	lib/rapi/baserlib.py \
124 10b207d4 Oleksiy Mishchenko
	lib/rapi/connector.py \
125 10b207d4 Oleksiy Mishchenko
	lib/rapi/rlib2.py
126 8c229cc7 Oleksiy Mishchenko
127 ff9efc03 Michael Hanselmann
http_PYTHON = \
128 02cab3e7 Michael Hanselmann
	lib/http/__init__.py \
129 be500c29 Michael Hanselmann
	lib/http/auth.py \
130 02cab3e7 Michael Hanselmann
	lib/http/client.py \
131 02cab3e7 Michael Hanselmann
	lib/http/server.py
132 ff9efc03 Michael Hanselmann
133 12426ae1 Guido Trotter
confd_PYTHON = \
134 71f27d19 Guido Trotter
	lib/confd/__init__.py \
135 e4ccf6cd Guido Trotter
	lib/confd/client.py \
136 e16e4824 Guido Trotter
	lib/confd/server.py \
137 e16e4824 Guido Trotter
	lib/confd/querylib.py
138 8c229cc7 Oleksiy Mishchenko
139 f05c99f3 Michael Hanselmann
docrst = \
140 ffa6869f Iustin Pop
	doc/admin.rst \
141 5c0c1eeb Iustin Pop
	doc/design-2.0.rst \
142 4f366caf Michael Hanselmann
	doc/design-2.1.rst \
143 62947ebb Michael Hanselmann
	doc/devnotes.rst \
144 e2078d28 Iustin Pop
	doc/glossary.rst \
145 4d6443f4 Iustin Pop
	doc/hooks.rst \
146 876860a3 Iustin Pop
	doc/iallocator.rst \
147 d17e74b4 Iustin Pop
	doc/index.rst \
148 28e15341 Iustin Pop
	doc/install.rst \
149 9725b53d Michael Hanselmann
	doc/locking.rst \
150 6d81475c Iustin Pop
	doc/rapi.rst \
151 73100cf5 Iustin Pop
	doc/security.rst
152 f05c99f3 Michael Hanselmann
153 13de7d59 Michael Hanselmann
doc/html/.stamp: $(docrst) $(docpng) doc/conf.py configure.ac
154 d17e74b4 Iustin Pop
	@test -n "$(SPHINX)" || \
155 d17e74b4 Iustin Pop
	    { echo 'sphinx-build' not found during configure; exit 1; }
156 13de7d59 Michael Hanselmann
	PYTHONPATH=. $(RUN_IN_TEMPDIR) $(SPHINX) -q -b html \
157 13de7d59 Michael Hanselmann
	    -d . \
158 d17e74b4 Iustin Pop
	    -D version="$(VERSION_MAJOR).$(VERSION_MINOR)" \
159 d17e74b4 Iustin Pop
	    -D release="$(PACKAGE_VERSION)" \
160 13de7d59 Michael Hanselmann
	    $(abs_top_srcdir)/doc $(CURDIR)/doc/html
161 13de7d59 Michael Hanselmann
	rm -f doc/html/.buildinfo doc/html/objects.inv
162 13de7d59 Michael Hanselmann
	touch $@
163 13de7d59 Michael Hanselmann
164 13de7d59 Michael Hanselmann
doc/html: doc/html/.stamp
165 2ab2b9f5 Iustin Pop
166 b8195800 Iustin Pop
docdot = \
167 ca9ccea8 Michael Hanselmann
	doc/arch-2.0.dot \
168 ca9ccea8 Michael Hanselmann
	doc/design-2.1-lock-acquire.dot \
169 ca9ccea8 Michael Hanselmann
	doc/design-2.1-lock-release.dot
170 b8195800 Iustin Pop
171 d17e74b4 Iustin Pop
docpng = $(patsubst %.dot,%.png,$(docdot))
172 e8230860 Michael Hanselmann
173 7e1ccbe0 Michael Hanselmann
# Things to build but not to install (add it to EXTRA_DIST if it should be
174 7e1ccbe0 Michael Hanselmann
# distributed)
175 7e1ccbe0 Michael Hanselmann
noinst_DATA = \
176 7e1ccbe0 Michael Hanselmann
	devel/upload \
177 7e1ccbe0 Michael Hanselmann
	doc/html \
178 7e1ccbe0 Michael Hanselmann
	doc/examples/bash_completion \
179 7e1ccbe0 Michael Hanselmann
	doc/examples/ganeti.cron \
180 7e1ccbe0 Michael Hanselmann
	doc/examples/ganeti.initd \
181 7e1ccbe0 Michael Hanselmann
	doc/examples/hooks/ipsec \
182 7e1ccbe0 Michael Hanselmann
	$(manhtml)
183 f29266b4 Iustin Pop
184 4f3d5b76 Michael Hanselmann
gnt_scripts = \
185 e8230860 Michael Hanselmann
	scripts/gnt-backup \
186 e8230860 Michael Hanselmann
	scripts/gnt-cluster \
187 e8230860 Michael Hanselmann
	scripts/gnt-debug \
188 e8230860 Michael Hanselmann
	scripts/gnt-instance \
189 e8230860 Michael Hanselmann
	scripts/gnt-job \
190 e8230860 Michael Hanselmann
	scripts/gnt-node \
191 e8230860 Michael Hanselmann
	scripts/gnt-os
192 e8230860 Michael Hanselmann
193 4f3d5b76 Michael Hanselmann
dist_sbin_SCRIPTS = \
194 4f3d5b76 Michael Hanselmann
	daemons/ganeti-noded \
195 4f3d5b76 Michael Hanselmann
	daemons/ganeti-watcher \
196 4f3d5b76 Michael Hanselmann
	daemons/ganeti-masterd \
197 4f3d5b76 Michael Hanselmann
	daemons/ganeti-confd \
198 4f3d5b76 Michael Hanselmann
	daemons/ganeti-rapi \
199 4f3d5b76 Michael Hanselmann
	$(gnt_scripts)
200 4f3d5b76 Michael Hanselmann
201 fc3fd894 Michael Hanselmann
nodist_sbin_SCRIPTS = \
202 fc3fd894 Michael Hanselmann
	daemons/ganeti-cleaner
203 fc3fd894 Michael Hanselmann
204 e8230860 Michael Hanselmann
dist_tools_SCRIPTS = \
205 e8230860 Michael Hanselmann
	tools/burnin \
206 e8230860 Michael Hanselmann
	tools/cfgshell \
207 e8230860 Michael Hanselmann
	tools/cfgupgrade \
208 e8230860 Michael Hanselmann
	tools/lvmstrap
209 e8230860 Michael Hanselmann
210 e8230860 Michael Hanselmann
EXTRA_DIST = \
211 e8230860 Michael Hanselmann
	NEWS \
212 70c771f6 Michael Hanselmann
	pylintrc \
213 bb46a96c Michael Hanselmann
	autotools/build-bash-completion \
214 eed5c5df Michael Hanselmann
	autotools/check-python-code \
215 e8230860 Michael Hanselmann
	autotools/docbook-wrapper \
216 f3313af5 Guido Trotter
	$(RUN_IN_TEMPDIR) \
217 fc3fd894 Michael Hanselmann
	daemons/ganeti-cleaner.in \
218 e8230860 Michael Hanselmann
	devel/upload.in \
219 b8195800 Iustin Pop
	$(docdot) \
220 f727d134 Michael Hanselmann
	$(docpng) \
221 d17e74b4 Iustin Pop
	$(docrst) \
222 d17e74b4 Iustin Pop
	doc/conf.py \
223 d17e74b4 Iustin Pop
	doc/html \
224 e8230860 Michael Hanselmann
	doc/examples/ganeti.initd.in \
225 e8230860 Michael Hanselmann
	doc/examples/ganeti.cron.in \
226 e8230860 Michael Hanselmann
	doc/examples/dumb-allocator \
227 d6d9ce45 Guido Trotter
	doc/examples/hooks/ethers \
228 a2442bf9 Luca Bigliardi
	doc/examples/hooks/ipsec.in \
229 e8230860 Michael Hanselmann
	test/testutils.py \
230 e8230860 Michael Hanselmann
	test/mocks.py \
231 e8230860 Michael Hanselmann
	$(dist_TESTS) \
232 e8230860 Michael Hanselmann
	$(TEST_FILES) \
233 e8230860 Michael Hanselmann
	man/footer.sgml \
234 f727d134 Michael Hanselmann
	$(mansgml) \
235 f727d134 Michael Hanselmann
	$(maninput) \
236 e8230860 Michael Hanselmann
	qa/ganeti-qa.py \
237 39e0d19e Michael Hanselmann
	qa/qa-sample.json \
238 e8230860 Michael Hanselmann
	qa/qa_cluster.py \
239 e8230860 Michael Hanselmann
	qa/qa_config.py \
240 e8230860 Michael Hanselmann
	qa/qa_daemon.py \
241 e8230860 Michael Hanselmann
	qa/qa_env.py \
242 e8230860 Michael Hanselmann
	qa/qa_error.py \
243 e8230860 Michael Hanselmann
	qa/qa_instance.py \
244 e8230860 Michael Hanselmann
	qa/qa_node.py \
245 e8230860 Michael Hanselmann
	qa/qa_os.py \
246 a47f574c Oleksiy Mishchenko
	qa/qa_rapi.py \
247 e8230860 Michael Hanselmann
	qa/qa_tags.py \
248 e8230860 Michael Hanselmann
	qa/qa_utils.py
249 e8230860 Michael Hanselmann
250 e8230860 Michael Hanselmann
man_MANS = \
251 e8230860 Michael Hanselmann
	man/ganeti.7 \
252 bae7e531 Michael Hanselmann
	man/ganeti-cleaner.8 \
253 b7b7cda6 Guido Trotter
	man/ganeti-confd.8 \
254 320d986d Iustin Pop
	man/ganeti-masterd.8 \
255 e8230860 Michael Hanselmann
	man/ganeti-noded.8 \
256 e8230860 Michael Hanselmann
	man/ganeti-os-interface.7 \
257 320d986d Iustin Pop
	man/ganeti-rapi.8 \
258 e8230860 Michael Hanselmann
	man/ganeti-watcher.8 \
259 e8230860 Michael Hanselmann
	man/gnt-backup.8 \
260 e8230860 Michael Hanselmann
	man/gnt-cluster.8 \
261 d3b4cf9f Iustin Pop
	man/gnt-debug.8 \
262 e8230860 Michael Hanselmann
	man/gnt-instance.8 \
263 d3b4cf9f Iustin Pop
	man/gnt-job.8 \
264 e8230860 Michael Hanselmann
	man/gnt-node.8 \
265 e8230860 Michael Hanselmann
	man/gnt-os.8
266 e8230860 Michael Hanselmann
267 2ab2b9f5 Iustin Pop
mansgml = $(patsubst %.7,%.sgml,$(patsubst %.8,%.sgml,$(man_MANS)))
268 2ab2b9f5 Iustin Pop
manhtml = $(patsubst %.sgml,%.html,$(mansgml))
269 2ab2b9f5 Iustin Pop
maninput = $(patsubst %.7,%.7.in,$(patsubst %.8,%.8.in,$(man_MANS))) $(patsubst %.html,%.html.in,$(manhtml))
270 e8230860 Michael Hanselmann
271 e8230860 Michael Hanselmann
TEST_FILES = \
272 e8230860 Michael Hanselmann
	test/data/bdev-both.txt \
273 d816408a Iustin Pop
	test/data/bdev-8.3-both.txt \
274 e8230860 Michael Hanselmann
	test/data/bdev-disk.txt \
275 e8230860 Michael Hanselmann
	test/data/bdev-net.txt \
276 d816408a Iustin Pop
	test/data/proc_drbd8.txt \
277 a6ac80db Iustin Pop
	test/data/proc_drbd80-emptyline.txt \
278 d816408a Iustin Pop
	test/data/proc_drbd83.txt
279 e8230860 Michael Hanselmann
280 e8230860 Michael Hanselmann
dist_TESTS = \
281 6de7c41d Iustin Pop
	test/ganeti.bdev_unittest.py \
282 6de7c41d Iustin Pop
	test/ganeti.cli_unittest.py \
283 6de7c41d Iustin Pop
	test/ganeti.cmdlib_unittest.py \
284 74554d66 Guido Trotter
	test/ganeti.confd_client_unittest.py \
285 e8230860 Michael Hanselmann
	test/ganeti.config_unittest.py \
286 6de7c41d Iustin Pop
	test/ganeti.constants_unittest.py \
287 e8230860 Michael Hanselmann
	test/ganeti.hooks_unittest.py \
288 6de7c41d Iustin Pop
	test/ganeti.http_unittest.py \
289 e8230860 Michael Hanselmann
	test/ganeti.locking_unittest.py \
290 407339d0 Michael Hanselmann
	test/ganeti.mcpu_unittest.py \
291 4c14965f Guido Trotter
	test/ganeti.objects_unittest.py \
292 4cbd4462 Oleksiy Mishchenko
	test/ganeti.rapi.resources_unittest.py \
293 6de7c41d Iustin Pop
	test/ganeti.serializer_unittest.py \
294 6de7c41d Iustin Pop
	test/ganeti.ssh_unittest.py \
295 6de7c41d Iustin Pop
	test/ganeti.utils_unittest.py \
296 3f991867 Michael Hanselmann
	test/ganeti.workerpool_unittest.py \
297 3f991867 Michael Hanselmann
	test/docs_unittest.py
298 e8230860 Michael Hanselmann
299 e8230860 Michael Hanselmann
nodist_TESTS =
300 e8230860 Michael Hanselmann
301 e8230860 Michael Hanselmann
TESTS = $(dist_TESTS) $(nodist_TESTS)
302 e8230860 Michael Hanselmann
303 f848ac00 Michael Hanselmann
TESTS_ENVIRONMENT = \
304 f848ac00 Michael Hanselmann
	PYTHONPATH=. TOP_SRCDIR=$(abs_top_srcdir) \
305 f848ac00 Michael Hanselmann
	$(RUN_IN_TEMPDIR) $(PYTHON)
306 6e06b36c Iustin Pop
307 eed5c5df Michael Hanselmann
all_python_code = \
308 01a3a718 Michael Hanselmann
	$(dist_sbin_SCRIPTS) \
309 01a3a718 Michael Hanselmann
	$(dist_tools_SCRIPTS) \
310 01a3a718 Michael Hanselmann
	$(dist_TESTS) \
311 01a3a718 Michael Hanselmann
	$(pkgpython_PYTHON) \
312 01a3a718 Michael Hanselmann
	$(hypervisor_PYTHON) \
313 01a3a718 Michael Hanselmann
	$(rapi_PYTHON) \
314 01a3a718 Michael Hanselmann
	$(http_PYTHON) \
315 01a3a718 Michael Hanselmann
	$(confd_PYTHON) \
316 01a3a718 Michael Hanselmann
	$(noinst_PYTHON)
317 01a3a718 Michael Hanselmann
318 eed5c5df Michael Hanselmann
srclink_files = \
319 eed5c5df Michael Hanselmann
	man/footer.sgml \
320 eed5c5df Michael Hanselmann
	$(all_python_code)
321 eed5c5df Michael Hanselmann
322 eed5c5df Michael Hanselmann
check_python_code = \
323 eed5c5df Michael Hanselmann
	$(all_python_code)
324 eed5c5df Michael Hanselmann
325 dbefcc7e Michael Hanselmann
devel/upload: devel/upload.in $(REPLACE_VARS_SED)
326 e8230860 Michael Hanselmann
	sed -f $(REPLACE_VARS_SED) < $< > $@
327 e8230860 Michael Hanselmann
	chmod u+x $@
328 e8230860 Michael Hanselmann
329 dbefcc7e Michael Hanselmann
daemons/ganeti-cleaner: daemons/ganeti-cleaner.in \
330 e8230860 Michael Hanselmann
		$(REPLACE_VARS_SED)
331 e8230860 Michael Hanselmann
	sed -f $(REPLACE_VARS_SED) < $< > $@
332 5c566e17 Michael Hanselmann
	chmod +x $@
333 e8230860 Michael Hanselmann
334 dbefcc7e Michael Hanselmann
doc/examples/%: doc/examples/%.in \
335 e8230860 Michael Hanselmann
		$(REPLACE_VARS_SED)
336 e8230860 Michael Hanselmann
	sed -f $(REPLACE_VARS_SED) < $< > $@
337 e8230860 Michael Hanselmann
338 dbefcc7e Michael Hanselmann
doc/examples/hooks/%: doc/examples/hooks/%.in \
339 a2442bf9 Luca Bigliardi
		$(REPLACE_VARS_SED)
340 a2442bf9 Luca Bigliardi
	sed -f $(REPLACE_VARS_SED) < $< > $@
341 a2442bf9 Luca Bigliardi
342 b959138f Michael Hanselmann
doc/examples/bash_completion: $(BUILD_BASH_COMPLETION) $(RUN_IN_TEMPDIR) \
343 4f3d5b76 Michael Hanselmann
	lib/cli.py $(gnt_scripts) tools/burnin
344 b959138f Michael Hanselmann
	PYTHONPATH=. $(RUN_IN_TEMPDIR) $(CURDIR)/$(BUILD_BASH_COMPLETION) > $@
345 4f3d5b76 Michael Hanselmann
346 f86e82ef Iustin Pop
doc/%.png: doc/%.dot
347 2ab2b9f5 Iustin Pop
	@test -n "$(DOT)" || { echo 'dot' not found during configure; exit 1; }
348 f86e82ef Iustin Pop
	$(DOT) -Tpng -o $@ $<
349 f86e82ef Iustin Pop
350 2ab2b9f5 Iustin Pop
man/%.7.in man/%.8.in: man/%.sgml man/footer.sgml $(DOCBOOK_WRAPPER)
351 33b0062b Michael Hanselmann
	@test -n "$(DOCBOOK2MAN)" || { echo 'docbook2man' not found during configure; exit 1; }
352 434c34a5 Michael Hanselmann
	$(DOCBOOK_WRAPPER) "$(DOCBOOK2MAN)" $< $(notdir $(@:.in=)) $@
353 2ab2b9f5 Iustin Pop
354 2ab2b9f5 Iustin Pop
man/%.html.in: man/%.sgml man/footer.sgml $(DOCBOOK_WRAPPER)
355 8c7aaa72 Alexander Schreiber
	@test -n "$(DOCBOOK2HTML)" || { echo 'docbook2html' not found during configure; exit 1; }
356 434c34a5 Michael Hanselmann
	$(DOCBOOK_WRAPPER) "$(DOCBOOK2HTML) --nochunks" $< $(notdir $(@:.in=)) $@
357 2ab2b9f5 Iustin Pop
358 dbefcc7e Michael Hanselmann
man/%.7: man/%.7.in $(REPLACE_VARS_SED)
359 2ab2b9f5 Iustin Pop
	sed -f $(REPLACE_VARS_SED) < $< > $@
360 e8230860 Michael Hanselmann
361 dbefcc7e Michael Hanselmann
man/%.8: man/%.8.in $(REPLACE_VARS_SED)
362 2ab2b9f5 Iustin Pop
	sed -f $(REPLACE_VARS_SED) < $< > $@
363 e8230860 Michael Hanselmann
364 dbefcc7e Michael Hanselmann
man/%.html: man/%.html.in $(REPLACE_VARS_SED)
365 2ab2b9f5 Iustin Pop
	sed -f $(REPLACE_VARS_SED) < $< > $@
366 f29266b4 Iustin Pop
367 e8230860 Michael Hanselmann
lib/_autoconf.py: Makefile stamp-directories
368 e8230860 Michael Hanselmann
	set -e; \
369 e8230860 Michael Hanselmann
	{ echo '# This file is automatically generated, do not edit!'; \
370 e8230860 Michael Hanselmann
	  echo '#'; \
371 67047322 Iustin Pop
	  echo ''; \
372 67047322 Iustin Pop
	  echo '"""Build-time configuration for Ganeti.'; \
373 67047322 Iustin Pop
	  echo '';\
374 67047322 Iustin Pop
	  echo 'This file is autogenerated by the build process.'; \
375 67047322 Iustin Pop
	  echo 'For any changes you need to re-run ./configure (and'; \
376 67047322 Iustin Pop
	  echo 'not edit by hand).'; \
377 67047322 Iustin Pop
	  echo ''; \
378 67047322 Iustin Pop
	  echo '"""'; \
379 67047322 Iustin Pop
	  echo ''; \
380 e8230860 Michael Hanselmann
	  echo "PACKAGE_VERSION = '$(PACKAGE_VERSION)'"; \
381 e8230860 Michael Hanselmann
	  echo "VERSION_MAJOR = '$(VERSION_MAJOR)'"; \
382 e8230860 Michael Hanselmann
	  echo "VERSION_MINOR = '$(VERSION_MINOR)'"; \
383 e8230860 Michael Hanselmann
	  echo "VERSION_REVISION = '$(VERSION_REVISION)'"; \
384 e8230860 Michael Hanselmann
	  echo "VERSION_SUFFIX = '$(VERSION_SUFFIX)'"; \
385 e8230860 Michael Hanselmann
	  echo "VERSION_FULL = '$(VERSION_FULL)'"; \
386 e8230860 Michael Hanselmann
	  echo "LOCALSTATEDIR = '$(localstatedir)'"; \
387 e8230860 Michael Hanselmann
	  echo "SYSCONFDIR = '$(sysconfdir)'"; \
388 e8230860 Michael Hanselmann
	  echo "SSH_INITD_SCRIPT = '$(SSH_INITD_SCRIPT)'"; \
389 e8230860 Michael Hanselmann
	  echo "EXPORT_DIR = '$(EXPORT_DIR)'"; \
390 e8230860 Michael Hanselmann
	  echo "OS_SEARCH_PATH = [$(OS_SEARCH_PATH)]"; \
391 2f2dbb4b Jun Futagawa
	  echo "XEN_BOOTLOADER = '$(XEN_BOOTLOADER)'"; \
392 e8230860 Michael Hanselmann
	  echo "XEN_KERNEL = '$(XEN_KERNEL)'"; \
393 e8230860 Michael Hanselmann
	  echo "XEN_INITRD = '$(XEN_INITRD)'"; \
394 e8230860 Michael Hanselmann
	  echo "FILE_STORAGE_DIR = '$(FILE_STORAGE_DIR)'"; \
395 e8230860 Michael Hanselmann
	  echo "IALLOCATOR_SEARCH_PATH = [$(IALLOCATOR_SEARCH_PATH)]"; \
396 7e2c5b9e Guido Trotter
	  echo "KVM_PATH = '$(KVM_PATH)'"; \
397 30e42c4e Guido Trotter
	  echo "KVM_MIGRATION_PORT = '$(KVM_MIGRATION_PORT)'"; \
398 14aa53cb Guido Trotter
	  echo "SOCAT_PATH = '$(SOCAT_PATH)'"; \
399 bea60381 Michael Hanselmann
	  echo "LVM_STRIPECOUNT = $(LVM_STRIPECOUNT)"; \
400 bea60381 Michael Hanselmann
	  echo "TOOLSDIR = '$(toolsdir)'"; \
401 4f3d5b76 Michael Hanselmann
	  echo "GNT_SCRIPTS = [$(foreach i,$(notdir $(gnt_scripts)),'$(i)',)]"; \
402 e8230860 Michael Hanselmann
	} > $@
403 e8230860 Michael Hanselmann
404 dbefcc7e Michael Hanselmann
$(REPLACE_VARS_SED): Makefile
405 e8230860 Michael Hanselmann
	set -e; \
406 e8230860 Michael Hanselmann
	{ echo 's#@PREFIX@#$(prefix)#g'; \
407 e8230860 Michael Hanselmann
	  echo 's#@SYSCONFDIR@#$(sysconfdir)#g'; \
408 e8230860 Michael Hanselmann
	  echo 's#@LOCALSTATEDIR@#$(localstatedir)#g'; \
409 7a2ba406 Luca Bigliardi
	  echo 's#@BINDIR@#$(bindir)#g'; \
410 e8230860 Michael Hanselmann
	  echo 's#@SBINDIR@#$(sbindir)#g'; \
411 e8230860 Michael Hanselmann
	  echo 's#@GANETI_VERSION@#$(PACKAGE_VERSION)#g'; \
412 2f2dbb4b Jun Futagawa
	  echo 's#@CUSTOM_XEN_BOOTLOADER@#$(XEN_BOOTLOADER)#g'; \
413 e8230860 Michael Hanselmann
	  echo 's#@CUSTOM_XEN_KERNEL@#$(XEN_KERNEL)#g'; \
414 e8230860 Michael Hanselmann
	  echo 's#@CUSTOM_XEN_INITRD@#$(XEN_INITRD)#g'; \
415 d3b4cf9f Iustin Pop
	  echo 's#@RPL_FILE_STORAGE_DIR@#$(FILE_STORAGE_DIR)#g'; \
416 c5159571 Iustin Pop
	  echo 's#@PKGLIBDIR@#$(pkglibdir)#g'; \
417 e8230860 Michael Hanselmann
	} > $@
418 e8230860 Michael Hanselmann
419 e8230860 Michael Hanselmann
# We need to create symlinks because "make distcheck" will not install Python
420 e8230860 Michael Hanselmann
# files when building.
421 dd1dfd9a Michael Hanselmann
stamp-srclinks: Makefile stamp-directories
422 e8230860 Michael Hanselmann
	set -e; \
423 01a3a718 Michael Hanselmann
	for i in $(srclink_files); do \
424 e8230860 Michael Hanselmann
		if test ! -f $$i -a -f $(abs_top_srcdir)/$$i; then \
425 e8230860 Michael Hanselmann
			$(LN_S) $(abs_top_srcdir)/$$i $$i; \
426 e8230860 Michael Hanselmann
		fi; \
427 e8230860 Michael Hanselmann
	done
428 dd1dfd9a Michael Hanselmann
	touch $@
429 97a37b3f Michael Hanselmann
430 9ff7e35c Michael Hanselmann
.PHONY: ganeti
431 9ff7e35c Michael Hanselmann
ganeti:
432 01f3e7b1 Iustin Pop
	cd $(top_builddir) && test -h "$@" || { rm -f $@ && $(LN_S) lib $@; }
433 9ff7e35c Michael Hanselmann
434 eed5c5df Michael Hanselmann
check-local:
435 eed5c5df Michael Hanselmann
	$(CHECK_PYTHON_CODE) $(check_python_code)
436 eed5c5df Michael Hanselmann
437 b6f2e47f Iustin Pop
# a dist hook rule for catching revision control directories
438 b6f2e47f Iustin Pop
distcheck-hook:
439 b6f2e47f Iustin Pop
	if find $(top_distdir) | grep -F -e '.svn' -e '.git'; then \
440 b6f2e47f Iustin Pop
		echo "Found revision control files in final archive" 1>&2 ; \
441 b6f2e47f Iustin Pop
		exit 1; \
442 b6f2e47f Iustin Pop
	fi
443 b6f2e47f Iustin Pop
444 8925faaa Iustin Pop
install-exec-local:
445 0d93b082 Michael Hanselmann
	@mkdir_p@ "$(DESTDIR)${localstatedir}/lib/ganeti" \
446 2fa9f1dd Michael Hanselmann
	  "$(DESTDIR)${localstatedir}/log/ganeti" \
447 2fa9f1dd Michael Hanselmann
	  "$(DESTDIR)${localstatedir}/run/ganeti"
448 e8230860 Michael Hanselmann
449 e8230860 Michael Hanselmann
stamp-directories: Makefile
450 e8230860 Michael Hanselmann
	@mkdir_p@ $(DIRS)
451 e8230860 Michael Hanselmann
	touch $@
452 e8230860 Michael Hanselmann
453 d128fdb6 Iustin Pop
.PHONY: apidoc
454 b959138f Michael Hanselmann
apidoc: epydoc.conf $(RUN_IN_TEMPDIR)
455 d128fdb6 Iustin Pop
	test -e doc/api || mkdir doc/api
456 b959138f Michael Hanselmann
	$(RUN_IN_TEMPDIR) epydoc -v \
457 b959138f Michael Hanselmann
		--conf $(CURDIR)/epydoc.conf \
458 b959138f Michael Hanselmann
		--output $(CURDIR)/doc/api
459 d128fdb6 Iustin Pop
460 13e720f1 Iustin Pop
.PHONY: TAGS
461 13e720f1 Iustin Pop
TAGS:
462 13e720f1 Iustin Pop
	rm -f TAGS
463 13e720f1 Iustin Pop
	find . -path './lib/*.py' -o -path 'scripts/gnt-*' -o \
464 13e720f1 Iustin Pop
	  -path 'daemons/ganeti-*' -o -path 'tools/*' | \
465 13e720f1 Iustin Pop
	  etags -
466 13e720f1 Iustin Pop
467 e8230860 Michael Hanselmann
# vim: set noet :